Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.resultset
Class LinkageMatch

    java.lang.Object
      edu.uky.kcr.recordlinkage.resultset.LinkageMatch

    public class LinkageMatch

extends java.lang.Object

A scored match between two `DataSourceRecord`s. The score determines whether this match is positive or indeterminate when inserted into a `LinkageResultSet`. A `LinkageEngine` can store additional attributes associated with the scored match, such as constituent scores used to derive the final score, by accessing the attribute map with `getMatchAttributes()`.

Author:
  ihands

Constructor Summary
`LinkageMatch()`
`LinkageMatch(DataSourceRecord primaryDataSourceRecord, DataSourceRecord secondaryDataSourceRecord)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `getMatchAttributes()`
`DataSourceRecord` | `getPrimaryDataSourceRecord()`
`java.lang.Float` | `getScore()`
`DataSourceRecord` | `getSecondaryDataSourceRecord()`
`void` | `setPrimaryDataSourceRecord(DataSourceRecord primaryDataSourceRecord)`
`void` | `setScore(java.lang.Float score)`
`void` | `setSecondaryDataSourceRecord(DataSourceRecord secondaryDataSourceRecord)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkageMatch

    public LinkageMatch()

### LinkageMatch

    public LinkageMatch(DataSourceRecord primaryDataSourceRecord,
                        DataSourceRecord secondaryDataSourceRecord)

Method Detail

### getScore

    public java.lang.Float getScore()

### setScore

    public void setScore(java.lang.Float score)

### getMatchAttributes

    public java.util.Map<java.lang.String,java.lang.String> getMatchAttributes()

### getPrimaryDataSourceRecord

    public DataSourceRecord getPrimaryDataSourceRecord()

### getSecondaryDataSourceRecord

    public DataSourceRecord getSecondaryDataSourceRecord()

### setPrimaryDataSourceRecord

    public void setPrimaryDataSourceRecord(DataSourceRecord primaryDataSourceRecord)

### setSecondaryDataSourceRecord

    public void setSecondaryDataSourceRecord(DataSourceRecord secondaryDataSourceRecord)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD